Subject: [Tsvwg] draft-baker-diffserv-basic-classes-04

From: Brian E Carpenter <[email-masked]>
Date: Sun, 07 Nov 2004 22:37:05 +0100

Hi,

I find more to comment in this draft each time I look at it.
Maybe it's getting longer each time...

>    The key words "SHOULD", "SHOULD NOT", "REQUIRED", "SHALL", "SHALL
>    NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in
>    this document are to be interpreted as described in [RFC2119].

It's very strange to find this in the Abstract, not the Introduction.

> 1.2  Service Class Definition
> 
> 
>    A "service class" represents a set of traffic that requires specific
>    delay, loss and jitter characteristics from the network for which a
>    consistent and defined per-hop behavior (PHB) [RFC2475] applies.

The Proposed Standard is RFC2474 and that should surely be the
primary normative reference; 2475 is Informational.

Also, this section still lacks any reference to the PDB document
and any explanation of the relationship between Service Class and PDB.

I suspect it is something like this:

   A Service Class as defined here is essentially a statement of
   the required characteristics of a traffic aggregate; the actual
   specification of the expected treatment of a traffic aggregate
   within a domain is defined as a Per Domain Behavior [RFC3086].

You need this, since you later refer to a PDB [RFC3662].

> 1.3  Key Differentiated Services Concepts
> 
> 
>    The reader SHOULD be familiar with the principles of the
>    Differentiated Services Architecture [RFC2475].  However, we
>    recapitulate key concepts here to save searching.

Again, the normative reference is [RFC2474].

> 1.4.1  Default Forwarding (DF)
> 
> 
>    The basic forwarding behavior applied to any class of traffic are
>    those described in [RFC2475] and [RFC2309].  

And again.

> 4.3  Multimedia Conferencing Service Class
...
> 
>    RECOMMENDED DSCP marking:
>    o  Video conferencing packets are marked with AF4x
>    o  VPN service may be marked with AF4x, depending on the service
>       characteristics
>    o  Server to server data transfer with AF4x, depending on the service
>       characteristics

It makes no sense to suddenly mention VPNs and server2server data transfer
here. Either this is the multimedia conferencing service class, or it
isn't. If you think this service class also contains VPN and server2server
traffic, that needs stating up front.

> 5.3  Explanation of Ring Clipping

If we allowed such things in RFCs, this would be a footnote. I think
this should either be a subsection 4.2.1, or at least it should contain
a reference back to 4.2.

It uses jargon and acronyms unknown in the IETF (Tandem Office??? ISUP??)
and English errors.

> 5.4  VPN Service Mapping

You don't refer to RFC 2983 (Differentiated Services and Tunnels),
and I'm not sure you are consistent with it. You should certainly
indicate which of the conceptual models in 2983 you are suggesting.
And of course if it's an IPSec VPN, IPSec specifies certain rules
that you have to follow.

     Brian

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg